@import "~scss/variables";

.swag-guided-shopping-presentation-detail__cms {
    @media screen and (min-width: 1580px) {
        .swag-guided-shopping-card .swag-guided-shopping-card__title {
            width: inherit;
            position: inherit;
            left: inherit;
            top: inherit;
            text-align: inherit;
        }
    }
    .sw-cms-page-form__section-actions {
        position: static;
    }
    .sw-cms-page-form__section-action {
        position: static;
        width: 960px;
        margin: 9px auto;
        @media screen and (max-width: 1360px) {
            max-width: 770px;
        }
    }

    .cms-config {
        .sw-card__titles {
            .sw-card__title {
                margin-bottom: 5px;
            }
        }

        .choose-page-action .sw-single-select__selection-text{
            height: 46px;
        }
    }

    .is-dirty-notification {
        filter: none;

        .sw-alert__title {
            color: $color-shopware-brand-500;
        }

        .subtitle {
            color: $color-shopware-brand-500;
        }

        .save-button {
            margin-top: 12px;
        }
    }
}

.selected-page {
    display: inline-flex;

    .sw-circle-icon.sw-label.sw-label--appearance-circle {
        align-items: baseline;
        background-color: transparent;
    }
}

.select-page-option {
    display: inline-flex;
    height: 20px;
    align-items: center;

    .sw-circle-icon.sw-label.sw-label--appearance-circle {
        align-items: end;
        background-color: transparent;
    }
}

.sw-select-result-list-popover-wrapper .sw-select-result {
    padding: 5px 16px;
}
